Bug 185221 - Review Request: wifiroamd
Summary: Review Request: wifiroamd
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ed Hill
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-03-12 04:16 UTC by jafo-redhat
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 18:37:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
quick fix for restart problem (208 bytes, patch)
2006-03-12 05:22 UTC, Ed Hill
no flags Details | Diff

Description jafo-redhat 2006-03-12 04:16:59 UTC
Spec Name or Url: wifiroamd.spec (contained in SRPM)
SRPM Name or Url: ftp://ftp.tummy.com/pub/tummy/wifiroamd/wifiroamd-1.02-1.src.rpm
Description: wifiroamd is a program that monitors your wireless device to keep it
connected to a good access point.  It will scan looking for a known AP, or
will try the AP with the strongest un-encrypted signal.  If a script is
found for the specific AP ESSID or MAC address is found, that script is
run.  Otherwise, a "default" script is run.

Note that I have set "config-default" to be "%config" without "(noreplace)" because users are warned not to change "config-default".  Instead, user changes should go in "config".

Comment 1 Ed Hill 2006-03-12 05:22:56 UTC
Created attachment 126003 [details]
quick fix for restart problem

Without the above patch, wifiroamd would not reliably restart per the 
following error messages.  I'm not 100% certain whether this is the best 
way to fix the problem but it does work for me -- no more "existing 
process" errors.

  [XXX ~]: /etc/init.d/wifiroamd restart
  Stopping wifiroamd:					   [  OK  ]
  Starting wifiroamd: Another process, id=32189, already exists.  Aborting.
							   [  OK  ]
  [XXX ~]: /etc/init.d/wifiroamd restart
  Stopping wifiroamd:					   [FAILED]
  Starting wifiroamd:					   [  OK  ]

Comment 2 Ed Hill 2006-03-12 05:58:38 UTC
Hi Jafo, heres a quick review:

good:
 + naming OK
 + license (GPL) is OK
 + builds in mock on FC4
 + rpmlint reports:
      W: wifiroamd conffile-without-noreplace-flag 
       /etc/wifiroamd/config-defaults
   which is probably safe to ignore
 + source matches upstream
 + no unnecessary BuildRequires
 + spec file is clean, legible, and has consistent macros
 + code not content OK
 + no shared libs or need for -devel
 + runs and works nicely on my FC4 laptop with NetworkManager
     shut off (which is currently the default for NM)

nits:
 - please include the file "debian/copyright" in %doc
 - BuildRoot should be:
     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 - please add /var/lib/wifiroamd to the list of owned dirs
 - I think the scriptlets should have if-s around them such as:

     %post
     if [ $1 -eq 1 ]; then
          chkconfig --add wifiroamd
     fi

     %preun
     if [ $1 -eq 0 ]; then
          chkconfig --del wifiroamd
     fi

   but please correct me if thats wrong!


Also, I'm wondering if there will or could be some conflicts with 
NetworkManager and, if so, how they should be handled.  Currently, NM is 
off by default and so is wifiroamd so they can only (potentially ??) 
conflict if a user chooses to turn on both simultaneously.  And even with 
both on, I'm not certain what problems, if any, would be observed.  Perhaps 
someone who knows a bit more about NetworkManager can step forward and say 
something here?


Comment 3 jafo-redhat 2006-03-12 19:20:41 UTC
I have released a 1.04 version which adds the patch and makes the changes
suggested by Ed, except for the BuildRoot which as far as I could tell was
exactly as it already is.  Thanks for the feedback, Ed.

Sean

Comment 4 Ed Hill 2006-03-12 19:56:26 UTC
Hi Jafo, the 1.04 version looks good.  Theres a very minor nit wrt the 
BuildRoot -- yours has expanded the %{version} macro relative to the 
standard one:

  %{_tmppath}/%{name}-1.04-%{release}-root-%(%{__id_u} -n)
  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

but its not a big deal--please feel free to change it in CVS after checkin.

APPROVED.

I'll be happy to sponsor you per the process outlined at:

   http://fedoraproject.org/wiki/Extras/Contributors

and please let me know if you have questions/problems/whatever.

Comment 5 jafo-redhat 2006-03-12 20:37:49 UTC
Ok, I get it now.  My release script replaced %{version} in the spec file with
the actual version, for handling the Version: line.  I've changed the way this
is done, and released version 1.05 with that change in it.

Comment 6 Ed Hill 2006-04-21 18:37:13 UTC
Just for reference, I've talked to the submitter (who is also the 
upstream developer) and have agreed to maintain this package in 
Extras.  It built cleanly on FC-4,5 and devel.


Note You need to log in before you can comment on or make changes to this bug.